Package com.complexible.common.rdf.query

# Class TuplesAsPathQueryResult

java.lang.Object
com.complexible.common.rdf.query.TuplesAsPathQueryResult

All Implemented Interfaces:
  `CloseableIterator<Path>`, `PathQueryResult`, `QueryResult<Path>`, `AutoCloseable`, `Iterator<Path>`

public class TuplesAsPathQueryResult extends Object implements PathQueryResult
A wrapper around `tuples` with delimiters to restore paths.

Since:
  5.0.4
Version:
  6.0
Author:
  Pavel Klinov

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.complexible.common.base.CloseableIterator

  `CloseableIterator.AbstractCloseableIterator<T>, CloseableIterator.DelegatingCloseableIterator<T>, CloseableIterator.EmptyCloseableIterator<T>`

- ## Field Summary

  ### Fields inherited from interface com.complexible.common.rdf.query.PathQueryResult

  `PATH_VAR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TuplesAsPathQueryResult(SelectQueryResult theTuples)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Close the query results and return any resources in use back to the system.
  `List<String>`
  `getEdgeVariableNames()`
  `List<String>`
  `getPathEndVariableNames()`
  `List<String>`
  `getPathStartVariableNames()`
  `boolean`
  `hasNext()`
  `Path`
  `next()`
  `void`
  `remove()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

  ### Methods inherited from interface com.stardog.stark.query.QueryResult

  `metadata, stream`

- ## Constructor Details

  - ### TuplesAsPathQueryResult

    public TuplesAsPathQueryResult(SelectQueryResult theTuples)

- ## Method Details

  - ### getPathStartVariableNames

    public List<String> getPathStartVariableNames()
    Specified by:
      `getPathStartVariableNames` in interface `PathQueryResult`

  - ### getPathEndVariableNames

    public List<String> getPathEndVariableNames()
    Specified by:
      `getPathEndVariableNames` in interface `PathQueryResult`

  - ### getEdgeVariableNames

    public List<String> getEdgeVariableNames()
    Specified by:
      `getEdgeVariableNames` in interface `PathQueryResult`

  - ### close

    public void close() throws QueryExecutionFailure
    Close the query results and return any resources in use back to the system. This *must* be called on all result sets to avoid resource leaks.
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `CloseableIterator<Path>`
    Specified by:
      `close` in interface `QueryResult<Path>`
    Throws:
      `QueryExecutionFailure`

  - ### hasNext

    public boolean hasNext() throws QueryExecutionFailure
    Specified by:
      `hasNext` in interface `Iterator<Path>`
    Specified by:
      `hasNext` in interface `QueryResult<Path>`
    Throws:
      `QueryExecutionFailure`

  - ### next

    public Path next() throws QueryExecutionFailure
    Specified by:
      `next` in interface `Iterator<Path>`
    Specified by:
      `next` in interface `QueryResult<Path>`
    Throws:
      `QueryExecutionFailure`

  - ### remove

    public void remove() throws QueryExecutionFailure
    Specified by:
      `remove` in interface `Iterator<Path>`
    Throws:
      `QueryExecutionFailure`